<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@page pageEncoding="UTF-8" %>



<!DOCTYPE html>
<html >
<head>
    <link rel="stylesheet" type="text/css" href="/css/basic.css"/>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <meta name="description" content="">
    <meta name="author" content="">

    <title>Přihlašení Denik RL</title>
</head>

<body>


<div class="containerLogin">

    <form method="POST" action="/login" class="form-signin">
        <h2 class="form-heading">Deník Radiolokátoru</h2>
        <h3>Přihlášení</h3>

        <div class="form-group ${error != null ? 'has-error' : ''}">
            <span>${message}</span>
            <input name="username" type="text" class="form-control" placeholder="Username" autofocus="true"/>
            <input name="password" type="password" class="form-control" placeholder="Password"/>
            <span>${error}</span>
            <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>

            <button class="btn btn-lg btn-primary btn-block" type="submit">Prihlasit</button>
            <h4 class="text-right"><a href="/registration">Registrace</a></h4>
        </div>

    </form>

</div>
<div class="vysvetlivky">
<p>Pro přihlášení zvolte jednu z testovacích rolí:<br>
    <table>
    <tr>
        <th>Uzivatel</th>
        <th>Heslo</th>
    </tr>
    <tr>
        <td>Nahled</td>
        <td>nahled01</td>
    </tr>
    <tr>
        <td>Technik_Rota</td>
        <td>technik1</td>
    </tr>
    <tr>
        <td>ITS-Rota</td>
        <td>its-rota</td>
    </tr>
    <tr>
        <td>ITS-Prapor</td>
        <td>its-prapor</td>
    </tr>

</table>
</div>


</body>
</html>