package DenikRL.validation;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.TYPE,ElementType.METHOD,ElementType.FIELD,ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = {ProvozValidator.class})
public @interface IsCorrectProvoz {
    String message() default "Provoz za den 0 - 24 hodin";
    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};

}
