<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@page pageEncoding="UTF-8" %>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="/css/basic.css"/>
    <link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.8/themes/base/jquery-ui.css"
          type="text/css" media="all"/>
    <link rel="stylesheet" href="http://static.jquery.com/ui/css/demo-docs-theme/ui.theme.css" type="text/css"
          media="all"/>
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js" type="text/javascript"></script>
    <script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.8/jquery-ui.min.js" type="text/javascript"></script>

    <title>Ukončení poruchy</title>
</head>
<body>
<div class="container">

    <jsp:include page="menu.jsp"></jsp:include>

    <h3>Ukončení provozu RL dílu</h3>
    <form:form method="POST" action="/updateDily" modelAttribute="dily">
        <table>
            <tr>
                <td><form:label path="id">id</form:label></td>
                <td>${dily.id}<form:hidden path="id"/></td>
            </tr>
            <tr>
                <td><form:label path="typ">Typ:</form:label></td>
                <td>${dily.typ}<form:hidden path="typ"/></td>
            </tr>
            <tr>
                <td><form:label path="cislo">Číslo</form:label></td>
                <td>${dily.cislo}<form:hidden path="cislo" /></td>
            </tr>
            <tr>
                <td><form:label path="pozice">Pozice:</form:label></td>
                <td>${dily.pozice}<form:hidden path="pozice"/></td>
            </tr>
            <tr>
                <td><form:label path="osazeni">Datum Osazeni</form:label></td>
                <td>${dily.osazeni}<form:hidden path="osazeni"/></td>

            </tr>
            <tr>
                <td><form:label path="vyjmuti">Vyjmutí:</form:label></td>
                <td><form:input path="vyjmuti"  id="datepicker" placeholder="RRRR-MM-DD"/></td>
                <script>
                    $(function () {
                        $("#datepicker").datepicker({dateFormat: "yy-mm-dd"});
                    });
                </script>
            </tr>
            <tr>
                <td><input type="submit" value="Submit"/></td>
            </tr>
        </table>
    </form:form>
</div>

</body>
</html>