<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title></title>
</head>
<body>
    <header>
        <div class="primary_header">
            <h1 class="title"> Deník Radiolokátoru</h1>
        </div>
        <nav class="secondary_header" id="menu">
            <ul>
                <li><a href="/">Přehled</a></li>
                <sec:authorize access="hasAnyAuthority('TECHNIK_ROTA','ITS_ROTA','ITS_PRAPOR')">
                    <li class="dropdown">
                        <a href="javascript:void(0)" class="dropbtn">Provoz</a>
                        <div class="dropdown-content">
                            <a href="/addProvoz">Přidat provoz </a>
                            <a href="/provoz">Filtrování provozu</a>
                        </div>
                    <li></li>
                    <li class="dropdown">
                    <a href="javascript:void(0)" class="dropbtn">Poruchy</a>
                    <div class="dropdown-content">
                        <a href="/addPoruchy">Přidat poruchu </a>
                        <a href="/poruchy">Filtrovaní poruch</a>
                        <a href="/poruchyStat">Satistiky poruch</a>
                    </div>
                    <li class="dropdown">
                        <a href="javascript:void(0)" class="dropbtn">Dily</a>
                        <div class="dropdown-content">
                            <a href="/addDily">Přidat Díl</a>
                            <a href="/dily">Dily Filtr</a>
                            <a href="/dilyStat">Dily Statistika</a>
                        </div>
                </sec:authorize>
                <sec:authorize access="hasAnyAuthority('NAHLED')">
                <li><a href="/provoz">Zobrazení provozu</a></li>
                <li><a href="/poruchy">Zobrazení poruch</a></li>
                <li><a href="/poruchyStat">Satistiky poruch</a></li>
                <li><a href="/dilyStat">Dily Statistika</a></li>
                </sec:authorize>
                <li><a onclick="document.forms['logoutForm'].submit()">Odhlášení</a></li>
            </ul>
        </nav>
        <c:if test="${pageContext.request.userPrincipal.name != null}">
            <form id="logoutForm" method="POST" action="${contextPath}/logout">
                <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
            </form>
        </c:if>
    </header>

</body>
</html>
